/*************************************************************
 *
 * CHECK_DUMMY.C
 *
 * Program: Dummy plugin for NetSaint
 * License: GPL
 * Copyright (c) 1999 Ethan Galstad (netsaint@linuxbox.com)
 *
 * Last Modified: 07-21-1999
 *
 * Command line: CHECK_DUMMY <state>
 *
 * Description:
 *
 * This plugin will simply return the state corresponding to the
 * numerical value of the <state> argument.
 *
 * License Information:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **************************************************************/

#include "../common/config.h"
#include <stdio.h>		/* obligatory includes */
#include <stdlib.h>

#define	STATE_CRITICAL 2	/* service state return codes */
#define STATE_WARNING  1
#define STATE_OK       0
#define STATE_UNKNOWN  -1


int main(int argc, char **argv){
	int result;

	if(argc!=2){
		printf("Incorrect number of arguments supplied\n");
		printf("\n");
		printf("Dummy plugin for NetSaint\n");
		printf("Copyright (c) 1999 Ethan Galstad (netsaint@linuxbox.com)\n");
		printf("Last Modified: 07-21-1999\n");
		printf("License: GPL\n");
		printf("\n");
		printf("Usage: %s <state>\n",argv[0]);
		printf("\n");
		printf("This plugin will simply return the state corresponding to the numerical value\n");
		printf("of the <state> argument.\n");
		printf("\n");
		return STATE_UNKNOWN;
	        }

	result=atoi(argv[1]);

	switch(result){
	case STATE_OK:
		printf("Status is OK\n");
		break;
	case STATE_WARNING:
		printf("Status is at Warning level\n");
		break;
	case STATE_CRITICAL:
		printf("Status is Critical\n");
		break;
	default:
		printf("Unknown\n");
		result=STATE_UNKNOWN;
	        }

	return result;
        }
